stevedore (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 15:30:55 +0200

stevedore (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 15:18:13 +0200

stevedore (5.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:08:56 +0100

stevedore (5.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 11:54:22 +0100

stevedore (5.3.0-4) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 11:38:14 +0100

stevedore (5.3.0-3) unstable; urgency=medium

  * Removed runtime depends on python3-pkg-resources (Closes: #1083786).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2024 09:17:15 +0200

stevedore (5.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:43:19 +0200

stevedore (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:05:54 +0200

stevedore (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 14:32:24 +0200

stevedore (5.2.0-1) experimental; urgency=medium

  * New upstream releaes.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 18:43:47 +0100

stevedore (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Sep 2023 09:59:54 +0200

stevedore (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 11:39:07 +0200

stevedore (5.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047260).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:24:30 +0200

stevedore (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:17:46 +0200

stevedore (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Feb 2023 14:35:20 +0100

stevedore (4.0.2-2) unstable; urgency=medium

  * Removed (build-)depends on python3-importlib-metadata.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Nov 2022 09:12:26 +0100

stevedore (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 15:44:29 +0200

stevedore (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2022 14:35:50 +0200

stevedore (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:11:14 +0200

stevedore (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 15:17:57 +0200

stevedore (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist test_extras.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 14:33:33 +0100

stevedore (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 11:06:39 +0100

stevedore (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:45:29 +0200

stevedore (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 16:07:25 +0200

stevedore (3.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:27:26 +0200

stevedore (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 13:45:22 +0100

stevedore (3.2.2-3) unstable; urgency=medium

  * d/tests/control: Restrictions: superficial (Closes: #970973).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2020 12:46:14 +0100

stevedore (3.2.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 13:47:03 +0200

stevedore (3.2.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:06:17 +0200

stevedore (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 15:56:37 +0200

stevedore (1.32.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 21:29:04 +0200

stevedore (1.32.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 17:40:46 +0200

stevedore (1.31.0-3) unstable; urgency=medium

  * Do not use py2 in autopkgtest (Closes: #938569).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Jan 2020 20:57:25 +0100

stevedore (1.31.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:45:04 +0200

stevedore (1.31.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 21:07:54 +0200

stevedore (1.30.1-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Remove Julien Danjou from uploaders (Closes: #928562).
  * Uploading to unstable.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 May 2019 09:14:22 +0200

stevedore (1.30.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 23:05:30 +0100

stevedore (1.29.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * Uploading to unstable:
    - Fixes FTBFS (Closes: #906410).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 09:19:29 +0200

stevedore (1.29.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 13:52:03 +0200

stevedore (1.28.0-2) unstable; urgency=medium

  * Relicense packaging under Apache-2.0 after approval from Ondrej and Julien.
    Modified debian/copyright accordingly.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Mar 2018 13:33:49 +0200

stevedore (1.28.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 21:25:58 +0100

stevedore (1.25.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:24:22 +0000

stevedore (1.25.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Fix copyright year in documentation to make build reproducible
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless reproducible patch.
  * Using pkgos-dh_auto_install.
  * Also build-depends on python3-sphinx, needed by tests.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 15:31:25 +0000

stevedore (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Added myself to copyright file.
  * Standards-Version is 3.9.7 now (no change).
  * Fixed Vcs URLs (https).
  * Removed patch remove-argparse-from-requirements.txt.patch
    (Applied upstream)

 -- Ondřej Nový <novy@ondrej.org>  Sat, 27 Feb 2016 19:41:04 +0100

stevedore (1.10.0-2) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).
  * HTTPS VCS URLs.
  * Removed patch to remove argparse from requirements.txt (not needed, as
    upstream removed argparse from it).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 22:42:14 +0000

stevedore (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added myself to debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 08:03:30 +0000

stevedore (1.5.0-3) unstable; urgency=medium

  * Added patch to remove argparse from requirements.txt (Closes: #809033).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2016 02:41:22 +0000

stevedore (1.5.0-2) unstable; urgency=medium

  [ Ivan Udovichenko ]
  * d/control: Add python-pkg-resources as a dependency.
    https://github.com/openstack/stevedore/blob/1.5.0/stevedore/extension.py#L4

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:38:43 +0000

stevedore (1.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #719965).
    - d/control: Align version requirements with upstream.
    - d/control: Add python3-sphinx to BD's.
    - d/rules: Explicitly configure PYTHONPATH when generating docs.
  * d/watch: Update to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Jun 2015 10:24:55 +0100

stevedore (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2015 17:35:07 +0100

stevedore (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python-pbr as dependency.
  * Switched to testr instead of nose.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 10:53:58 +0800

stevedore (1.0.0-2) experimental; urgency=medium

  * Changed VCS URLs to the openstack group (as per agreement with Julien).
  * Added argparse to debian/py3dist-overrides.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Oct 2014 15:14:47 +0000

stevedore (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 12:28:37 +0000

stevedore (0.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Added a sphinxdoc package, and generates the sphinx documentation in html.
  * Added debian/source/options to ignore the egg-info changes, and removed the
    deletion of it.
  * Do nosetests for all python versions.
  * Canonical VCS fields.
  * Standards-Version: is now 3.9.5.
  * Fixed new upstream VCS URLs in d/control,copyright & rules.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Feb 2014 11:53:49 +0800

stevedore (0.13-1) unstable; urgency=low

  * New upstream release:
    - d/control: Add new BD's on python-pbr/python3-pbr.
    - d/rules: Configure OSLO_PACKAGE_VERSION=$(VERSION).
  * d/watch: Track upstream releases on pypi correctly.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Dec 2013 11:45:32 +0000

stevedore (0.10-2) unstable; urgency=low

  * Removed pkg-openstack as maintainer uppon request form Julien.
  * Switched to debhelper 9.
  * Added python3 support, thanks to patch from James Patch (Closes: #719223).
  * Cannonical VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Aug 2013 23:24:49 +0200

stevedore (0.10-1) unstable; urgency=low

  * New upstream release.
  * Stevedore now maintained by pkg-openstack team.
  * Now using openstack-pkg-tools.
  * Added debian/gbp.conf.
  * Added Pre-Depends: dpkg (>= 1.15.6~) because of xz compression.
  * Rewrote long description.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 22:09:59 +0800

stevedore (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Bump standard version

 -- Julien Danjou <acid@debian.org>  Wed, 19 Jun 2013 10:46:37 +0200

stevedore (0.8-3) unstable; urgency=low

  * Using python (>= 2.6.6-3~) in build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Feb 2013 03:01:37 +0800

stevedore (0.8-2) unstable; urgency=low

  * Add missing build-dependencies (Closes: #699195)

 -- Julien Danjou <acid@debian.org>  Wed, 30 Jan 2013 22:37:30 +0100

stevedore (0.8-1) unstable; urgency=low

  * New upstrem release

 -- Julien Danjou <acid@debian.org>  Mon, 07 Jan 2013 15:50:42 +0100

stevedore (0.7.1-1) unstable; urgency=low

  * New upstream realase
  * Run tests on build

 -- Julien Danjou <acid@debian.org>  Mon, 17 Dec 2012 11:35:32 +0100

stevedore (0.7-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Tue, 27 Nov 2012 11:42:08 +0100

stevedore (0.6-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 26 Nov 2012 11:02:54 +0100

stevedore (0.4-1) unstable; urgency=low

  * Initial release (Closes: #687934)

 -- Julien Danjou <acid@debian.org>  Wed, 10 Oct 2012 14:51:42 +0200
